diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index fa68eb3..504c511 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -148437,8 +148437,8 @@ UserDefinedPartialOrdering(S:SetCategory): with
     "failed"
  
   if S has OrderedSet then
-    more?(a, b) == not less?(a, b, #1 <$S #2)
-    largest x   == largest(x, #1 <$S #2)
+    more?(a, b) == not less?(a, b, (y,z) +-> y <$S z)
+    largest x   == largest(x, (y,z) +-> y <$S z)
 
 @
 <<UDPO.dotabb>>=
diff --git a/changelog b/changelog
index e403e91..c301cda 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090625 tpd src/axiom-website/patches.html 20090625.04.tpd.patch
+20090625 tpd books/bookvol10.4 UDPO +-> conversion
 20090625 tpd src/axiom-website/patches.html 20090625.03.tpd.patch
 20090625 tpd books/bookvol10.4 UTSODE +-> conversion
 20090625 tpd src/axiom-website/patches.html 20090625.02.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index bb627e2..438466c 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1671,5 +1671,7 @@ bookvol10.4 UPCDEN +-> conversion<br/>
 bookvol10.4 UPDIVP +-> conversion<br/>
 <a href="patches/20090625.03.tpd.patch">20090625.03.tpd.patch</a>
 bookvol10.4 UTSODE +-> conversion<br/>
+<a href="patches/20090625.04.tpd.patch">20090625.04.tpd.patch</a>
+bookvol10.4 UDPO +-> conversion<br/>
  </body>
 </html>
